------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2017, 2019. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       dev_config.sql
-- FTM IP: Apply sensible development settings
------------------------------------------------------------------------
--SET CURRENT SCHEMA 'FTM';
--SET CURRENT PATH 'FTM';

CREATE VARIABLE FTM.APP_NAME VARCHAR(200) DEFAULT 'FTM IP SCTInst Application';
CREATE VARIABLE FTM.APP_VERSION CHAR(40) DEFAULT '3.2.3';
------------------------------------------------------------------------
CREATE VARIABLE FTM.APP_VERSION_ID INTEGER;
SET FTM.APP_VERSION_ID = (
	SELECT V.ID FROM APP_VERSION V 
		INNER JOIN APPLICATION A ON V.APPLICATION_ID = A.ID
	WHERE A.NAME = FTM.APP_NAME AND V.VERSION = FTM.APP_VERSION); 
------------------------------------------------------------------------

UPDATE "CHANNEL" SET VALIDATE_ISF = 2 
WHERE APP_VERSION_ID = FTM.APP_VERSION_ID;

-- this is a good setting for new development work
--UPDATE "EVENT_TYPE" SET RENDER_AS_MSG = 'Y' 
--WHERE APP_VERSION_ID = FTM.APP_VERSION_ID;

--UPDATE APP_VERSION SET LOG_EVENT_OVERRIDE = 'Y'
--WHERE ID = FTM.APP_VERSION_ID;

CALL UPSERT_VALUE (
FTM.APP_NAME,
FTM.APP_VERSION,
'CORE', 
'EXCEPTION_ON_UNMODELLED_CTX', 
'Y',
'N',
'SCRIPT:dev_config.sql'
);

DROP VARIABLE FTM.APP_VERSION_ID;
DROP VARIABLE FTM.APP_VERSION;
DROP VARIABLE FTM.APP_NAME;

COMMIT;
