------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2017, 2019. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       view_all_no_secure.sql
-- This script configures all users to see all operational data when 
-- WAS Security is not enabled.
------------------------------------------------------------------------


-----------------------------------------------------------------------
-- Group/Permission relationships
-----------------------------------------------------------------------

-- Delete all Group Resource Permission Relationships that are related 
-- to DATA_PARTY restrictions.
--
DELETE FROM "GRP_RES_PERM_REL" WHERE RESPERM_ID IN 
(SELECT ID FROM "RES_PERM" 
    WHERE TYPE LIKE 'DATA_PARTY%') AND
APP_ID IN (
            SELECT V.APPLICATION_ID 
            FROM APP_VERSION V, 
                 APPLICATION A 
            WHERE V.APPLICATION_ID = A.ID 
              AND A.NAME = 'FTM IP SCTInst Application' 
              AND V.VERSION = '3.2.3');

DELETE FROM "RES_PERM" WHERE TYPE LIKE 'DATA_PARTY%';


COMMIT;


