#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2017. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# ftmModelQs.sh
# This script can be used to execute the "MQ Define Qlocal" commands generated from an FTM Model.
# ---------------------------------------------------------------------

if [ -z "$1" ]
then
  echo "Syntax: ftmQueues.sh [Queue Manager Name]"
else

  # Work with a copy of the file to make the parameter marker changes. 
  cp MQQueues.txt temp_MQQueues.txt

  # Read in the properties for use in the parameter markers:
  filename=$(basename "$0")
  filename="${filename%.*}"

  oIFS="$IFS";
  IFS='='  
  (cat $filename.properties; echo;) | while read -r key value
  do
    perl -i -pe 's/\+\+'$key'\+\+/'$value'/g;' temp_MQQueues.txt  
  done
  IFS="$oIFS"

  runmqsc $1 < temp_MQQueues.txt
fi

# *
# * End!
# *
