#!/bin/sh
# ---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# Copyright IBM Corporation 2017, 2018. All Rights Reserved.
#
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp. 
# ---------------------------------------------------------------------
# ftmIPSimulatorQueues.sh
# Defines local queues for FTM for Immediate Payments Simulator (Unix Version)
# ---------------------------------------------------------------------

# Queue prefix for simulator queues
QPFX=FXR.IP

if [ -z "$1" ]
then
	echo "Syntax: ftmIPQueues.sh [Queue Manager Name]"
else
	# Queues for CSM SCTInst simulator
    echo "define qlocal(${QPFX}.REQUEST.TO.CSM.EXTERNAL) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
    echo "define qlocal(${QPFX}.SIM.CSM.TIMEOUT) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.CSM.EXPIRYREPORT) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.CSM.TRIGGER.RPTRSP) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.SANCTION.TRIGGER.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.SANCTION.STORE.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.FRAUD.TRIGGER.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.FRAUD.STORE.ACK) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.FAILED) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1
	echo "define qlocal(${QPFX}.SIM.CSM.CONTROL) maxdepth(100000) maxmsgl(104857600) get(enabled) put(enabled) bothresh(5) replace" | runmqsc $1    
fi

# *
# * End!
# *
